[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ColorBox' (#lcl)

# TCustomColorBox.DoAutoAdjustLayout

Performs actions needed to auto-adjust the control using the specified layout policy.

## Declaration

Source position: colorbox.pas line 74

`protected procedure TCustomColorBox.DoAutoAdjustLayout(`
`const AMode: TLayoutAdjustmentPolicy;`
`const AXProportion: Double;`
`const AYProportion: Double`
`); override;`

## Arguments

`AMode` |  | Layout adjustment policy applied in the method.
`AXProportion` |  | Horizontal scaling factor for the layout policy.
`AYProportion` |  | Vertical scaling factor for the layout policy.

## Description

Called when an auto adjust policy is applied for the control. DoAutoAdjustLayout ensures that the item height for the control is scaled using the factor in AYProportion when AMode contains the lapAutoAdjustWithoutHorizontalScrolling or lapAutoAdjustForDPI layout adjustment policy values.

In TCustomColorBox, it ensures that ColorRectWidth is scaled when needed.

DoAutoAdjustLayout is called from the AutoAdjustLayout method.

## See also

TControl.DoAutoAdjustLayout |  | Applies layout changes using the specified policy and scaling proportions to the control.